### Class

# Soup AuthDomainDigest

#### Description [src]

    final class Soup.AuthDomainDigest : Soup.AuthDomain {
      /* No available fields */
    }

Server-side “Digest” authentication.

`SoupAuthDomainDigest` handles the server side of HTTP “Digest” authentication.

#### Hierarchy

#### Ancestors

- SoupAuthDomain
- GObject

#### Constructors

###### soup_auth_domain_digest_new

Creates a `SoupAuthDomainDigest`.

#### Functions

###### soup_auth_domain_digest_encode_password

Encodes the username/realm/password triplet for Digest authentication.

#### Instance methods

###### soup_auth_domain_digest_set_auth_callback

Sets the callback that `domain` will use to authenticate incoming requests.

##### Methods inherited from SoupAuthDomain (9)

###### soup_auth_domain_accepts

Checks if `msg` contains appropriate authorization for `domain` to accept it.

###### soup_auth_domain_add_path

Adds `path` to `domain`.

###### soup_auth_domain_challenge

Adds a “WWW-Authenticate” or “Proxy-Authenticate” header to `msg`.

###### soup_auth_domain_check_password

Checks if `msg` authenticates to `domain` via `username` and `password`.

###### soup_auth_domain_covers

Checks if `domain` requires `msg` to be authenticated (according to its paths and filter function).

###### soup_auth_domain_get_realm

Gets the realm name associated with `domain`.

###### soup_auth_domain_remove_path

Removes `path` from `domain`.

###### soup_auth_domain_set_filter

Adds `filter` as an authentication filter to `domain`.

###### soup_auth_domain_set_generic_auth_callback

Sets `auth_callback` as an authentication-handling callback for `domain`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Soup.AuthDomainDigest:auth-callback

The `SoupAuthDomainDigestAuthCallback`.

###### Soup.AuthDomainDigest:auth-data

The data to pass to the `SoupAuthDomainDigestAuthCallback`.

##### Properties inherited from SoupAuthDomain (6)

###### Soup.AuthDomain:filter

The `SoupAuthDomainFilter` for the domain.

###### Soup.AuthDomain:filter-data

Data to pass to the `SoupAuthDomainFilter`.

###### Soup.AuthDomain:generic-auth-callback

The `SoupAuthDomainGenericAuthCallback`.

###### Soup.AuthDomain:generic-auth-data

The data to pass to the `SoupAuthDomainGenericAuthCallback`.

###### Soup.AuthDomain:proxy

Whether or not this is a proxy auth domain.

###### Soup.AuthDomain:realm

The realm of this auth domain.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupAuthDomainDigestClass {
      SoupAuthDomainClass parent_class;

    }

No description available.

###### Class members

`parent_class: SoupAuthDomainClass`
  No description available.